List
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/compliance-frameworks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/compliance-frameworks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/compliance-frameworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"frameworks": [
{
"id": "CIS-AWSFB-v140",
"name": "CIS Amazon Web Services Foundations Benchmark",
"passedFindings": 832,
"posture": 82.13,
"version": "v1.4.0",
"totalFindings": 1013,
"isCustom": false,
"description": "CIS Amazon Elastic Kubernetes Service (EKS) Benchmark v1.0.1 - 08-31-2020",
"providers": [
"AWS"
],
"releaseDate": "2022-08-16T01:37:30Z",
"lastModifiedDate": "2022-08-16",
"type": "compliance_framework",
"link": "<string>"
}
],
"totalPosture": 79.02
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}List compliance frameworks in a tenant
Use the list compliance frameworks API to list compliance frameworks across the tenant along with the compliance posture for each framework as well as the total compliance posture of the tenant.
GET
/
v1
/
tenant
/
compliance-frameworks
List
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Query Parameters
Filter compliance frameworks based on compliance framework type - custom or Plerion managed. The supported values are true or false.
Example:
true
Response
Compliance Frameworks list
Show child attributes
Show child attributes
Was this page helpful?
List IaC Vulnerabilities by scanIdDownload compliance framework report for an integration in a tenant
⌘I